
.cart-section {
  --tooltip-icon-bg-color: var(--tertiary-rounded-button-bg-color);
  --tooltip-icon-color: var(--tertiary-rounded-button-text-color);
  --tooltip-bg-color: var(--secondary-bg-color);
  --tooltip-text-color: var(--primary-text-color);
  --original-price-sale-color: var(--tertiary-text-color);
  --sale-color: var(--primary-text-color);
  --soldout-color: var(--error-color);
  --max-quantity-color: var(--error-color);

  visibility: hidden;

  &[data-empty] {
    visibility: visible;
  }

  &[data-empty="true"] :is(.cart-overview-items, .cart-overview-checkout-container) {
    display: none;
  }

  &[data-empty="true"] .empty-cart-overview-container {
    display: flex;
  }

  &[data-empty="true"] .cart-section-title {
    text-align: center;
    justify-content: center;
  }

  &:has(.cart-overview-items:empty) :is(.cart-overview-items, .cart-overview-checkout-container) {
    display: none;
  }

  &:has(.cart-overview-items:empty) .empty-cart-overview-container {
    display: flex;
  }

  &:has(.cart-overview-items:empty) .cart-section-title {
    text-align: center;
    justify-content: center;
  }
}

body:has(.cart-items[aria-busy="true"]) .cart-overview-items:not(:has(.cart-overview-item.template.skeleton)) { 
  pointer-events: none;
  opacity: 0.5;
}

.cart-section .container {
  row-gap: 2rem;
}

.cart-section-title {
  text-align: left;
  justify-content: start;
}

.cart-section:has(.cart-overview-items[aria-busy="true"]) .cart-overview-item.skeleton .skeleton:not(.cart-overview-item.template) {
  color: transparent;
  border-radius: 0.5rem;
  border: var(--border-transparent);
  animation: skeleton-loading 1s infinite alternate;
  opacity: 0.7;
  pointer-events: none;
}

.cart-section:has(.cart-overview-items[aria-busy="true"])  .cart-overview-item.skeleton :is(.cart-overview-item-name.skeleton, .cart-overview-item-variation.skeleton, .cart-overview-item-price.skeleton) {
  height: 1lh;
  min-width: 10ch;
}

.cart-overview-item.template.skeleton .cart-overview-item-image {
  opacity: 0;
}

.cart-overview-item.template:not(.skeleton) {
  display: none;
}

.cart-overview-items {
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
  border: var(--border-secondary);
  padding: 2rem;
  height: fit-content;

  @media (width >= 56.25rem) {
    grid-column: span 10;
  }
}

.empty-cart-overview-container {
  display: none;
  flex-direction: column;
  align-items: center;
  row-gap: 2rem;
}

.cart-overview-item {
  column-gap: 1rem;
  display: grid;
  grid-template-columns: minmax(0, 5rem) 1fr;

  &[data-stockquantity="0"] .cart-overview-item-sold-out {
    display: flex;
  }

  &[data-stockquantity="0"] .cart-overview-item-quantity-controls {
    display: none;
  }

  &:not(:last-child) {
    border-bottom: var(--border-secondary);
    padding-bottom: 2rem;
  }

  @media (width >= 56.25rem) {
    column-gap: 2rem;
  }
}

.cart-overview-item-link {
  display: flex;
  height: fit-content;
}

.cart-overview-item-variations:has(.cart-overview-item-variation-label:empty, .cart-overview-item-variation-value:empty) {
  display: none;
}

.cart-overview-item-details-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  row-gap: 1rem;
  justify-content: space-between;

  @media (width >= 56.25rem) {
    row-gap: 1.5rem;
  }
}

.cart-overview-item-name-variation {
  row-gap: 0;
  text-align: start;
}

.cart-overview-item-title-container {
  display: flex;
  column-gap: 1rem;
  row-gap: 0.5rem;
  justify-content: space-between;
  flex-direction: column;
  width: 100%;

  @media (width >= 56.25rem) {
    flex-direction: row;
    row-gap: 0;
  }
}

.cart-overview-item-name-text {
  font-weight: var(--font-weight-semibold);
  text-decoration: underline;
  text-decoration-color: transparent;
  text-underline-offset: 0.25rem;
  transition: text-decoration-color 0.3s;
  text-align: start;

  &:hover {
    text-decoration-color: currentColor;
  }
}

.cart-overview-item-comment:has(.cart-overview-item-comment-value:empty) {
  display: none;
}

.cart-overview-item-variations {
  display: flex;
  flex-direction: column;
}

.cart-overview-item-price {
  display: flex;
  text-align: end;
  column-gap: 0.5rem;
  flex-wrap: wrap;

  &:has(.cart-overview-item-sale-price:not(:empty)) .cart-overview-item-original-price {
    text-decoration: line-through;
    color: var(--original-price-sale-color);
  }

  @media (width >= 56.25rem) {
    justify-content: start;
    flex-wrap: nowrap;
  }
}

.cart-overview-item-sale-price {
  color: var(--sale-color);

  &:empty {
    display: none;
  }
}

.cart-overview-item-quantity-container {
  display: flex;
  align-items: center;
  column-gap: 1rem;
  width: 100%;
  row-gap: 0.5rem;
  flex-wrap: wrap;
}

.cart-overview-item-sold-out {
  font-weight: var(--font-weight-semibold);
  color: var(--soldout-color);
  display: none;
  column-gap: 1rem;
  align-items: center;

  &:before {
    display: block;
    mask-image: url('../../assets/icons/warning.svg');
  }
}

.cart-overview-item-image {
  object-fit: cover;
  aspect-ratio: 1 / 1;
  transition: opacity 0.3s;
  width: 100%;

  &:hover {
    opacity: 0.5;
  }
}

.cart-overview-item-remove {
  display: flex;
  padding: 0.25rem;
  height: fit-content;

  &:after {
    display: block;
    mask-image: url('../../assets/icons/trash.svg');
  }
}

.cart-overview-item-quantity-controls {
  display: flex;
  align-items: center;
  border: var(--border-secondary);
  width: fit-content;
}

.cart-overview-item-quantity-input {
  text-align: center;
  border: none;
  appearance: textfield;
  height: 100%;
  width: 3ch;

  &::-webkit-inner-spin-button,
  &::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
}

.cart-overview-item-quantity-decrease,
.cart-overview-item-quantity-increase {
  padding: 0.5rem 1rem;
}

.cart-overview-item .max-quantity-message {
  color: var(--max-quantity-color);

  &.hidden {
    display: none;
  }
}

.cart-overview-checkout-container {
  border: var(--border-secondary);
  padding: 2rem;
  height: fit-content;
  row-gap: 1.5rem;
  display: flex;
  flex-direction: column;

  @media (width >= 56.25rem) {
    grid-column: 12 / -1;
  }
}

.cart-overview-total {
  justify-content: space-between;
  flex-direction: row;
  flex-wrap: wrap;
  row-gap: 0;
}

.cart-overview-total-label {
  font-weight: var(--font-weight-semibold);
}

.cart-overview-total-amount {
  font-weight: var(--font-weight-semibold);
}

.cart-overview-checkout-button {
  min-width: 100%;

  &:before {
    display: block;
    mask-image: url('../../assets/icons/lock.svg');
  }
}

.cart-section:has(.cart-overview-item[data-stockquantity="0"]) .cart-overview-checkout-button, 
.cart-section:has(.cart-overview-items[aria-busy="true"]) .cart-overview-checkout-button {
  opacity: 0.5;
  pointer-events: none;
}

.cart-overview-info {
  display: flex;
  flex-direction: column;
  row-gap: 1rem;
}

.cart-overview-info-item {
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
  position: relative;
}

.cart-overview-info-item .tooltip {

  &:before {
    display: block;
    mask-image: url('../../assets/icons/info.svg');
    background-color: var(--tooltip-icon-bg-color);
  }

  &:after {
    display: none;
    content: attr(data-text);
    position: absolute;
    bottom: 110%;
    background-color: var(--tooltip-bg-color);
    color: var(--tooltip-text-color);
    width: fit-content;
    height: fit-content;
    padding: 0.5rem;
    text-align: left;
    border: var(--border-secondary);
    left: 0;
  }

  &:hover:after,
  &:focus-visible:after {
    display: flex;
  }
}

.cart-overview-payment-methods {
  padding-top: 1rem;
  border-top: var(--border-secondary);
  display: flex;
  gap: 0.5rem;
  flex-wrap: wrap;
}

.cart-overview-payment-method {
  display: flex;
}

.cart-overview-payment-method-image {
  width: 3rem;
  height: 2rem;

  &.card {
    width: 6rem;
  }
}